Page MenuHomePhabricator

Redesign Lint/Unit properties
Closed, WontfixPublic

Description

I'd like to rebuild this, but rebuild it in a re-usable way. I think @epriestley mentioned it'd move to Harbormaster / Drydock or something or in their own tables. I think options are:

  • Just make it prettier
  • Move to PHUIStatusTable
  • Go all in and ...

Event Timeline

chad created this task.Apr 2 2015, 4:53 PM
chad raised the priority of this task from to Needs Triage.
chad updated the task description. (Show Details)
chad added a project: Differential.
chad added subscribers: chad, epriestley.
chad added a comment.Apr 3 2015, 8:41 PM

@epriestley did you have any quick thoughts if I were to spend an afternoon cleaning this up?

Technically speaking, I expect us to eventually go in this direction:

  • "Diff Properties" get separated from "Revision Properties", per T5138, which has an ASCII mock.
    • Specifically, "Lint", "Unit", "Branch", and maybe a couple of other things move into "Diff Properties".
  • Lint and Unit results become stored in Harbormaster. They're still presented in Differential, and probably start getting presented in Diffusion when they're available. So the actual information in the UI won't change much. I do expect one thing to change slightly:
    • Results likely gain the added context of a "Build", which provides additional information about where the lint/unit status came from (e.g., server-side build, build from "arc", build from a third-party tool), and includes a link into Harbormaster to get more details. Particularly, "Show full/more Results" probably just takes you to Harbormaster.

We're probably too shy on real concrete details to really design this convincingly yet, though, and it will probably be mostly similar to what exists today, at least in overall information / layout / communication goals.

I would guess that "just make it prettier" is probably easiest for now (mostly because I think PHUIStatusView will have a hard time representing the descriptions?) and then we can address it more completely later on.

chad added a comment.Apr 3 2015, 10:16 PM

Maybe I'll go rake the yard instead.

T7045 is maybe relevant here.

eadler added a project: Restricted Project.Jul 7 2016, 5:10 PM
chad closed this task as Wontfix.Aug 6 2017, 3:57 AM
chad claimed this task.